Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 612531 - The JMS 0-10 client does not make use of the subject specified via "qpid.subject" in the application properties.
The JMS 0-10 client does not make use of the subject specified via "qpid.subj...
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-java (Show other bugs)
Development
All Linux
high Severity high
: 1.3
: ---
Assigned To: Rajith Attapattu
Jeff Needle
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-08 09:12 EDT by Rajith Attapattu
Modified: 2010-10-20 09:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-20 07:29:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Reproducer (1.48 KB, application/octet-stream)
2010-07-08 17:37 EDT, Rajith Attapattu
no flags Details

  None (edit)
Description Rajith Attapattu 2010-07-08 09:12:57 EDT
Description of problem:
According the new addressing mechanism, if a message contains "qpid.subject" it should override the default subject specified via the address string.
In the 0-10 mapping this subject should also be used as the routing key when publishing to an exchange.

Version-Release number of selected component (if applicable):
qpid-java-0.7.946106-5

How reproducible:
Always

Steps to Reproduce:
1. Create a destination as follows destination.my-dest="amq.topic/topic1"
2. Create producer 
     1. Destination dest = (Destination)ctx.lookup("my-dest");
     2. Producer prod = session.createMessageProducer(dest);

3. Create a message and also set the qpid.subject header.
     1. Message m = session.createTextMessage("hello");        
     2. m.setStringProperty("qpid.subject","topic2");     


4. Send the message ( prod.send(m); ) and observe that it still goes to topic1.

Actual results:
The message ends up in "topic1".

Expected results:
The message should go to "topic2".

Additional info:
Comment 1 Rajith Attapattu 2010-07-08 17:22:50 EDT
The fix is committed upstream at rev 961862 in Qpid trunk and applied to the internal git repo.

http://mrg1.lab.bos.redhat.com/cgit/qpid.git/commit/?id=63c4c5eb07649b01686dda28497494c708b85139
Comment 2 Rajith Attapattu 2010-07-08 17:37:07 EDT
Created attachment 430482 [details]
Reproducer

Added a reproducer to test the issue.
Comment 3 Jiri Kolar 2010-08-30 11:14:14 EDT
this appear on qpid-java-client-0.7.946106-5  and
is fixed on qpid-java-client-0.7.946106-7
validated on RHEL5.5/RHEL4  i386 / x86_64  

packages:

# rpm -qa | grep -E '(qpid|openais|rhm)' | sort -u
openais-0.80.6-16.el5_5.7
openais-devel-0.80.6-16.el5_5.7
python-qpid-0.7.946106-12.el5
qpid-cpp-client-0.7.946106-12.el5
qpid-cpp-client-devel-0.7.946106-12.el5
qpid-cpp-client-devel-docs-0.7.946106-12.el5
qpid-cpp-client-ssl-0.7.946106-12.el5
qpid-cpp-mrg-debuginfo-0.7.946106-11.el5
qpid-cpp-server-0.7.946106-12.el5
qpid-cpp-server-cluster-0.7.946106-12.el5
qpid-cpp-server-devel-0.7.946106-12.el5
qpid-cpp-server-ssl-0.7.946106-12.el5
qpid-cpp-server-store-0.7.946106-12.el5
qpid-cpp-server-xml-0.7.946106-12.el5
qpid-java-client-0.7.946106-7.el5
qpid-java-common-0.7.946106-7.el5
qpid-tools-0.7.946106-8.el5
rhm-docs-0.7.946106-5.el5
rh-tests-distribution-MRG-Messaging-qpid_common-1.6-53

->VERIFIED

Note You need to log in before you can comment on or make changes to this bug.